Package org.jcsp.lang

# Class RejectableBufferedOne2OneChannel

java.lang.Object
org.jcsp.lang.RejectableBufferedOne2OneChannel

All Implemented Interfaces:
  `RejectableChannel`

public class RejectableBufferedOne2OneChannel extends Object implements RejectableChannel
Deprecated.
This channel is superceded by the poison mechanisms, please see `PoisonException`

This implements a one-to-one object channel with user-definable buffering, for use by a single writer and single reader. Refer to `One2OneChannel` for a description of this behaviour.

Additionally, this channel supports a `reject` operation. The reader may call the reject method to force any current writer to abort with a `ChannelDataRejectedException`. Subsequent read and write attempts will immediately cause a `ChannelDataRejectedException`.

Note that the `reject` operation cannot be called concurrently to a read.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`RejectableBufferedOne2OneChannel(ChannelDataStore buffer)`
Deprecated.
Constructs a new channel.

## Method Summary

Modifier and Type
Method
Description
`RejectableChannelInput`
`in()`
Deprecated.
`RejectableAltingChannelInput`
`inAlt()`
Deprecated.
`RejectableChannelOutput`
`out()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RejectableBufferedOne2OneChannel

public RejectableBufferedOne2OneChannel(ChannelDataStore buffer)
Deprecated.
Constructs a new channel.

Parameters:
  `buffer` - the buffer implementation to use.

## Method Details

### inAlt

public RejectableAltingChannelInput inAlt()
Deprecated.

### in

public RejectableChannelInput in()
Deprecated.

Specified by:
  `in` in interface `RejectableChannel`

### out

public RejectableChannelOutput out()
Deprecated.

Specified by:
  `out` in interface `RejectableChannel`